#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>


void delete_event (GtkObject * object)
{
  gtk_main_quit ();
};

int main (int argc, char *argv[])
{

  GtkWidget *window;
  GtkWidget *edit[5];
  GtkWidget *label[5];
  GtkWidget *vbox;

  char str[] = "Edit x";
  gtk_init (&argc, &argv);

  vbox = gtk_vbox_new (0, 0);

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);

  //     
  gtk_signal_connect_object (GTK_OBJECT (window), "delete_event",
			     GTK_SIGNAL_FUNC (delete_event), NULL);

  //   ,     ?
  gtk_container_set_border_width (GTK_CONTAINER (window), 10);

  //         ...
  for (int i = 0; i < 5; i++)
    {
      edit[i] = gtk_entry_new ();
      sprintf (str, "Edit %d", i);
      label[i] = gtk_label_new (str);

      //  ,       
      gtk_box_pack_start (GTK_BOX (vbox), label[i], TRUE, 0, 5);
      gtk_box_pack_start (GTK_BOX (vbox), edit[i], TRUE, 0, 5);
      gtk_widget_show (edit[i]);
      gtk_widget_show (label[i]);
    };

  //    ...
  gtk_container_add (GTK_CONTAINER (window), vbox);

  gtk_widget_show (window);
  gtk_widget_show (GTK_WIDGET (vbox));

  gtk_window_set_title (GTK_WINDOW (window), "Step 6");

  gtk_main ();
  return 0;

};
